# https://docs.docker.com/compose/compose-file/compose-file-v3/
version: '3'
services:
    db:
        container_name: db
        image: mysql:5.7
        working_dir: /app
        volumes:
            - .:/app
            - './.docker-data/db:/var/lib/mysql'
        environment:
            MYSQL_ROOT_PASSWORD: 'root'
            MYSQL_DATABASE: 'db'
            MYSQL_USER: 'user'
            MYSQL_PASSWORD: 'P455W0RD'
            TERM: '$TERM'
        ports:
            - '3306:3306'
    adminer:
        container_name: adminer
        image: adminer
        restart: always
        ports:
            - 8082:8080
    php:
        build: .docker-config/php-fpm
        container_name: php
        working_dir: /app
        volumes:
            - .:/app
            - /app/node_modules
            - ./.docker-config/php-fpm/custom.ini:/usr/local/etc/php/conf.d/custom.ini
            - ./.docker-config/php-fpm/xdebug.ini:/usr/local/etc/php/conf.d/docker-php-ext-xdebug.ini
            - ~/.ssh/:/root/.ssh/
        environment:
            PHP_VERSION: '8.0'
            COMPOSER_ALLOW_XDEBUG: '1'
            PHP_IDE_CONFIG: 'serverName=docker_symfony'
            TERM: '$TERM'
    nginx:
        image: nginx:1-alpine
        container_name: nginx
        volumes:
            - .:/app
            - /app/vendor
            - ./.docker-config/nginx/default.conf:/etc/nginx/conf.d/default.conf
            - ./.docker-data/nginx/log/:/var/log/nginx/
        ports:
            - "80:80"
            - "443:443"
        depends_on:
            - php
            - db
        environment:
            PHP_VERSION: '8.0'
            COMPOSER_ALLOW_XDEBUG: '1'
            PHP_IDE_CONFIG: 'serverName=docker_symfony'
            TERM: '$TERM'
